<?xml version='1.0' encoding='utf-8'?>
<ComicInfo xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <Title>Prog 2208</Title>
  <Series>2000 AD</Series>
  <Number>2208</Number>
  <Summary>*BORAG THUNGG, EARTHLETS – Prog 2208 is OUT NOW!*
Welcome to the weekly circuit-scorcher that is the Galaxy’s Greatest Comic, your one-stop shop for brain-sizzling excitement.

Inside you’ll find the latest scrotnig instalments of Judge Dredd, Fiends of the Eastern Front and Stickleback plus the penultimate parts for both Hook-Jaw and Skip Tracer — be here in seven for their unmissable finales!

As we dictate these words to the scribe-bot squatting on our desk, the UK is on the brink of another monthlong lockdown, with all the attendant stresses and worries that brings.

If our illustrious organ can alleviate some of that misery by transporting you, if only for a brief time, to other worlds, allowing you to leave the here and now far behind, then we feel this anthology is doing its job.

Tharg came from Quaxxann just under forty-four years ago to share his ghafflebette visions with you Terrans and to ensure that your planet was properly Thrilled — it would be remiss of us if we didn’t continue that in even the most trying of circumstances.

Cover: D'Israeli

Droid Life (Cat Sullivan)
Judge Dredd - Simply Normal (Part 2) (Kenneth Niemand - Steven Austin)
Stickleback - New Jerusalem (Part Eight) (Ian Edginton - D'Israeli)
Hook Jaw (Eight) (Alec Worley - Leigh Gallagher)
Skip Tracer - Hyperballad (Part Eight) (James Peaty - Paul Marshall)
Fiends of the Eastern Front - Constanta (Part 7) (Ian Edginton - Tiernen Trevallion)</Summary>
  <Notes>Tagged with ComicTagger 1.6.0a0 using info from Comic Vine on 2023-07-24 20:22:16.  [Issue ID 818935]</Notes>
  <Year>2020</Year>
  <Month>11</Month>
  <Day>18</Day>
  <Writer>Alec Worley, Cat Sullivan, Ian Edginton, James Peaty, Kenneth Niemand</Writer>
  <Penciller>Cat Sullivan, D'Israeli, Leigh Gallagher, Paul Marshall, Steven Austin, Tiernen Trevallion</Penciller>
  <Inker>Cat Sullivan, D'Israeli, Leigh Gallagher, Paul Marshall, Steven Austin, Tiernen Trevallion</Inker>
  <Colorist>Chris Blythe, Dylan Teague</Colorist>
  <Letterer>Annie Parkhouse, Jim Campbell, Simon Bowland</Letterer>
  <CoverArtist>D'Israeli</CoverArtist>
  <Publisher>Rebellion</Publisher>
  <Web>https://comicvine.gamespot.com/2000-ad-2208-prog-2208/4000-818935/</Web>
  <PageCount>32</PageCount>
  <Characters>Captain Constanta, Hook Jaw, Judge Dredd, Judge Patsy, Miss Scarlet, Skip Tracer, Stickleback</Characters>
  <Teams>Judges of Mega-City One</Teams>
  <Locations>Mega-City One</Locations>
  <Pages />
</ComicInfo>